All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::VisitedTable Struct Reference

set implementation optimized for fast access. More...

## Public Member Functions

| VisitedTable (int size)
void | set (int no)
| set flog #no to true
bool | get (int no) const
| get flag #no
void | advance ()
| reset all flags to false

## Public Attributes

std::vector< uint8_t > | visited
int | visno

## Detailed Description

set implementation optimized for fast access.

Definition at line 54 of file IndexHNSW.cpp.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/IndexHNSW.cpp